routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\VaksinController;
use App\Http\Controllers\PendaftarController;
use App\Http\Controllers\JadwalController;
use App\Http\Controllers\DaftarController;
use App\Http\Controllers\CariController;
use App\Http\Controllers\CetakKartuController;
use App\Http\Controllers\CompleteController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', [function () {
    return view('welcome');
}])->name('landing');

Auth::routes([
    'register' => false,
    'reset' => false,
]);

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
Route::resource('daftar', DaftarController::class);
Route::get('/daftar-filtered/{daftar?}', [DaftarController::class, 'indexFiltered'])->name('daftar.filter');
Route::get('/Pendaftaran/{daftar:kode_unik}', [CariController::class, 'show'])->name('pendaftaran');
Route::get('/pendaftaran', [PendaftarController::class, 'index'])->name('pendaftar');
Route::get('/pendaftaran/{jadwal}/create', [PendaftarController::class, 'create'])->name('pendaftar.create');
Route::get('/cari', [CariController::class, 'search'])->name('cari');
Route::get('/cari/kartu', [CariController::class, 'searchKartu'])->name('cari.kartu');
Route::get('/cari/data', [CariController::class, 'find'])->name('cari_pendaftar');
Route::get('/cari/data/kartu', [CariController::class, 'findKartu'])->name('kartu.vaksin');
Route::get('/cetak-kartu/{daftar}', [CetakKartuController::class, 'cetak'])->name('cetak');
Route::get('/kartu-vaksin/{selesai}', [CetakKartuController::class, 'cetakKartuVaksin'])->name('cetak.kartu.vaksin');
Route::get('/selesai/{daftar}', [CompleteController::class, 'getData'])->name('selesai');
Route::get('/selesai', [CompleteController::class, 'index'])->name('selesai.index');
Route::delete('/selesai/{selesai}', [CompleteController::class, 'destroy'])->name('selesai.destroy');
Route::get('/selesai-filtered/{selesai?}', [CompleteController::class, 'indexFiltered'])->name('selesai.filter');
Route::resource('jadwal', JadwalController::class);
Route::resource('vaksin', VaksinController::class);

app/Models/Daftar.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Daftar extends Model
{
    use HasFactory;


    protected $fillable = [
            'tanggal',
            'jenis_vaksin',
            'nik',
            'nama',
            'jenis_kelamin',
            'nomor_hp',
            'email',
            'tempat_lahir',
            'tanggal_lahir',
            'alamat',
            'kode_unik',
            'jam',
    ];


    /**
     * Get the jadwal that owns the Daftar
     *
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function jadwal()
    {
        return $this->belongsTo(Jadwal::class);
    }
}

app/Http/Controllers/DaftarController.php
<?php

namespace App\Http\Controllers;

use App\Models\Daftar;
use App\Models\Jadwal;
use Illuminate\Http\Request;
use Illuminate\Support\Str;

class DaftarController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $daftars = Daftar::orderBy('tanggal', 'asc')->simplePaginate(5);
        return view('daftar.index', compact('daftars'))
                ->with('i', (request()->input('page', 1)-1)*5);
    }

    public function indexFiltered(Request $request)
    {
        $keyword1 = $request->filter1;
        $keyword2 = $request->filter2;
        $daftars = Daftar::where('nik', 'like', "%" . $keyword1 . "%")
                ->where('kode_unik', 'like', "%" . $keyword2 . "%")
                ->latest()
                ->simplePaginate(5);
        return view('daftar.filter', compact('daftars', 'keyword1', 'keyword2'))
                ->with('i', (request()->input('page', 1)-1)*5);
    }
    
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        // $jadwals = Jadwal::all();
        // return view('daftar.create', compact('jadwals'))
        //         ->with('i', (request()->input('page', 1)-1)*10);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'tanggal'=>'required',
            'jenis_vaksin'=>'required',
            'nik'=>'required',
            'nama'=>'required',
            'jenis_kelamin'=>'required',
            'nomor_hp'=>'required',
            'email'=>'required',
            'tempat_lahir'=>'required',
            'tanggal_lahir'=>'required',
            'alamat'=>'required',
            'kode_unik'=>'required',
            'jam'=>'required',
        ]);

        $daftar = Daftar::create($request->all());

        return redirect()->route('pendaftaran', $daftar->kode_unik)
                ->with('success', 'Selamat anda berhasil mendaftar!');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show(Daftar $daftar)
    {
        $daftars = Daftar::latest();
        return view('daftar.show', compact('daftar'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Daftar $daftar)
    {
        
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Daftar $daftar)
    {
        
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Daftar $daftar)
    {
        $daftar->delete();

        return redirect()->route('daftar.index')
                ->with('success', 'Data berhasil dihapus');
    }
}

resources/views/daftar/create.blade.php
@extends('daftar.layout.app')

@section('content')
    <div class="container">

        <!-- Page Heading -->
        <div class="d-sm-flex align-items-center justify-content-between mb-4 mt-4">
            <h1 class="h3 mb-0 text-gray-800">Daftar Vaksinasi</h1>
        </div>

        <!-- Content Row -->
        <div class="row">
            @if ($jadwal->count())
                <form action="{{ route('daftar.store') }}" method="POST">
                    {{ csrf_field() }}

                    <div class="row">
                        <div class="col-xs-12 col-sm-12 col-md-12">
                            <div class="form-group">
                                <strong>Tanggal:</strong>
                                <select class="custom-select" id="inputGroupSelect01" name="tanggal" readonly>
                                    <option selected value="{{ $jadwal->tanggal }}">
                                        {{ $jadwal->tanggal }}</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-12">
                            <div class="form-group">
                                <strong>Jenis Vaksin</strong>
                                <input type="text" name="jenis_vaksin" class="form-control" value="{{ $jadwal->jenis_vaksin }}"
                                    readonly>
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-12">
                            <div class="form-group">
                                <strong>NIK:</strong>
                                <input type="number" name="nik" class="form-control" required>
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-12">
                            <div class="form-group">
                                <strong>Nama:</strong>
                                <input type="text" name="nama" class="form-control" required>
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-12">
                            <div class="form-group">
                                <strong>Jenis Kelamin:</strong>
                                <select class="custom-select" id="inputGroupSelect02" name="jenis_kelamin" required>
                                    <option value="" selected>
                                        Pilih Disini ...</option>
                                    <option value="Laki-Laki">
                                        Laki-Laki</option>
                                    <option value="Perempuan">
                                        Perempuan</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-12">
                            <div class="form-group">
                                <strong>Nomor Telepon yang bisa dihubungi/WA:</strong>
                                <input type="number" name="nomor_hp" class="form-control" required>
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-12">
                            <div class="form-group">
                                <strong>Email:</strong>
                                <input type="email" name="email" class="form-control" required>
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-12">
                            <div class="form-group">
                                <strong>Tempat Lahir:</strong>
                                <input type="text" name="tempat_lahir" class="form-control" required>
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-12">
                            <div class="form-group">
                                <strong>Tanggal Lahir:</strong>
                                <input type="date" name="tanggal_lahir" class="form-control" required>
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-12">
                            <div class="form-group">
                                <strong>Alamat:</strong>
                                <textarea class="form-control" style="height:150px" name="alamat" placeholder="Alamat"
                                    required></textarea>
                            </div>
                        </div>
                        <input type="hidden" name="kode_unik" value="{{ random_int(100000, 999999) }}">
                        <input type="hidden" name="jam" value="{{ $jadwal->jam }}">
                        <div class="col-xs-12 col-sm-12 col-md-12 text-center">
                            <button type="submit" class="btn btn-primary">Submit</button>
                        </div>
                    </div>
                </form>

            @else
                <h2 class="alert alert-danger text-center">Periode Pendaftaran Telah Brakhir</h2>
            @endif
        </div>

        <!-- Content Row -->
    </div>
@endsection

resources/views/daftar/filter.blade.php
@extends('layouts.master')

@section('content')
    <div class="container">

        <!-- Page Heading -->
        <div class="d-sm-flex align-items-center justify-content-between mb-4">
            <h1 class="h3 mb-0 text-gray-800">Data Pendaftar</h1>
        </div>

        @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
        @endif

        <!-- Content Row -->
        <div class="container">
            <form class="form" method="get" action="{{ route('daftar.filter') }}">
                {{ csrf_field() }}
                <div class="form-row mb-3">
                    <div class="container">
                        <strong>Cari Data:</strong>
                    </div>
                    <div class="form-group col-md-3">
                        <input type="text" class="form-control" name="filter1" id="filter2" placeholder="NIK">
                    </div>
                    <div class="form-group col-md-3">
                        <input type="text" class="form-control" name="filter2" id="filter2" placeholder="kode pendaftaran">
                    </div>
                    <button type="submit" class="btn btn-primary mb-3 mr-1">Cari</button>
                    <a href="{{ route('daftar.index') }}" class="btn btn-success mb-3">Tampilkan Semua Data</a>
                </div>
            </form>

            <div class="row">
                <table class="table">
                    <thead>
                        <tr class="text-sm-center">
                            <th scope="col">NIK</th>
                            <th scope="col">Nama</th>
                            <th scope="col">Nomor Telepon</th>
                            <th scope="col">Email</th>
                            <th scope="col">Tempat, Tgl Lahir</th>
                            <th scope="col">Alamat</th>
                            <th scope="col">Kode Pendaftaran</th>
                            <th scope="col">Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($daftars as $daftar)
                            <tr>
                                <td>{{ $daftar->nik }}</td>
                                <td>{{ $daftar->nama }}</td>
                                <td>{{ $daftar->nomor_hp }}</td>
                                <td>{{ $daftar->email }}</td>
                                <td>{{ $daftar->tempat_lahir }}, {{ \Carbon\Carbon::createFromFormat('Y-m-d', $daftar->tanggal_lahir)->format('d-m-Y') }}</td>
                                <td>{{ $daftar->alamat }}</td>
                                <td class="text-sm-center">{{ $daftar->kode_unik }}</td>
                                <td class="text-sm-center">
                                    <form action="{{ route('daftar.destroy', $daftar->id) }}" method="POST">
                                        <a type="button" class="btn btn-warning btn-sm"
                                            href="{{ route('selesai', $daftar->id) }}">Complete</a>
                                        @csrf
                                        @method('DELETE')
                                        <button type="submit" class="btn btn-danger btn-sm"
                                            onclick="return confirm('Apakah Anda yakin ingin menghapus data ini?')">Delete</button>
                                    </form>
    
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
                {!! $daftars->links() !!}
    
            </div>
        </div>

        <!-- Content Row -->
    </div>
@endsection

resources/views/daftar/index.blade.php
@extends('layouts.master')

@section('content')
    <div class="container">

        <!-- Page Heading -->
        <div class="d-sm-flex align-items-center justify-content-between mb-4">
            <h1 class="h3 mb-0 text-gray-800">Data Pendaftar</h1>
        </div>

        @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
        @endif

        <!-- Content Row -->
        <div class="container">
            <form class="form" method="get" action="{{ route('daftar.filter') }}">
                {{ csrf_field() }}
                <div class="form-row mb-3">
                    <div class="container">
                        <strong>Cari Data:</strong>
                    </div>
                    <div class="form-group col-md-3">
                        <input type="text" class="form-control" name="filter1" id="filter2" placeholder="NIK">
                    </div>
                    <div class="form-group col-md-3">
                        <input type="text" class="form-control" name="filter2" id="filter2" placeholder="kode pendaftaran">
                    </div>
                    <button type="submit" class="btn btn-primary mb-3 mr-1">Cari</button>
                </div>
            </form>

            <div class="row">
                <table class="table">
                    <thead>
                        <tr class="text-sm-center">
                            <th scope="col">NIK</th>
                            <th scope="col">Nama</th>
                            <th scope="col">Nomor Telepon</th>
                            <th scope="col">Email</th>
                            <th scope="col">Tempat, Tgl Lahir</th>
                            <th scope="col">Alamat</th>
                            <th scope="col">Kode Pendaftaran</th>
                            <th scope="col">Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($daftars as $daftar)
                            <tr>
                                <td>{{ $daftar->nik }}</td>
                                <td>{{ $daftar->nama }}</td>
                                <td>{{ $daftar->nomor_hp }}</td>
                                <td>{{ $daftar->email }}</td>
                                <td>{{ $daftar->tempat_lahir }}, {{ \Carbon\Carbon::createFromFormat('Y-m-d', $daftar->tanggal_lahir)->format('d-m-Y') }}</td>
                                <td>{{ $daftar->alamat }}</td>
                                <td class="text-sm-center">{{ $daftar->kode_unik }}</td>
                                <td class="text-sm-center">
                                    <form action="{{ route('daftar.destroy', $daftar->id) }}" method="POST">
                                        <a type="button" class="btn btn-warning btn-sm"
                                            href="{{ route('selesai', $daftar->id) }}">Complete</a>
                                        @csrf
                                        @method('DELETE')
                                        <button type="submit" class="btn btn-danger btn-sm"
                                            onclick="return confirm('Apakah Anda yakin ingin menghapus data ini?')">Delete</button>
                                    </form>
    
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
                {!! $daftars->links() !!}
    
            </div>
        </div>

        <!-- Content Row -->
    </div>
@endsection

resources/views/daftar/notFound.blade.php
@extends('daftar.layout.app')

@section('content')
    <div class="container">
        <div class="row mt-5 mb-5">
            <div class="col-lg-12 margin-tb">
                <div class="text-center">
                    <h2>Cari Data Pendaftaran Anda</h2>
                </div>
            </div>
        </div>

        <div class="row text-center">
            <!-- Start kode untuk form pencarian -->
            <form class="form" method="get" action="{{ route('cari_pendaftar') }}">
                {{ csrf_field() }}
                <div class="form-group w-100 mb-3">
                    <label for="search" class="d-block mr-2">Pencarian</label>
                    <input type="text" name="search" class="form-control w-75 d-inline" id="search"
                        placeholder="Masukan Nomor Pendaftaran Anda!">
                    <button type="submit" class="btn btn-primary mb-1">Cari</button>
                </div>
            </form>
        </div>
        <div class="row text-center">
            <div class="alert alert-danger" role="alert">
                Data tidak ditemukan!
            </div>
        </div>
    @endsection

resources/views/daftar/result.blade.php
@extends('daftar.layout.app')

@section('content')
    <div class="container">
        <div class="row mt-5 mb-5">
            <div class="col-lg-12 margin-tb">
                <div class="text-center">
                    <h2>Cari Data Pendaftaran Anda</h2>
                </div>
            </div>
        </div>

        <div class="row text-center">
            <!-- Start kode untuk form pencarian -->
            <form class="form" method="get" action="{{ route('cari_pendaftar') }}">
                {{ csrf_field() }}
                <div class="form-group w-100 mb-3">
                    <label for="search" class="d-block mr-2">Pencarian</label>
                    <input type="text" name="search" class="form-control w-75 d-inline" id="search"
                        placeholder="Masukan Nomor Pendaftaran Anda!">
                    <button type="submit" class="btn btn-primary mb-1">Cari</button>
                </div>
            </form>
        </div>
        <div class="row text-center">
            <div class="col-xs-12 col-sm-12 col-md-12 mb-4">
                <a class="btn btn-secondary" href="{{ route('cetak', $daftars->id) }}">Cetak Kartu
                    Pendaftaran</a>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <h3>Nomor Pendaftaran:</h3>
                    <h4><b>{{ $daftars->kode_unik }}</b></h4>
                    <p>Harap ingat Nomor Pendaftaran Kamu!</p>
                </div>
            </div>
            <table class="table">
                <tr>
                    <th scope="col">Jenis Vaksin</th>
                    <td>{{ $daftars->jenis_vaksin }}</td>
                </tr>
                <tr>
                    <th scope="col">NIK</th>
                    <td>{{ $daftars->nik }}</td>
                </tr>
                <tr>
                    <th scope="col">Nama</th>
                    <td>{{ $daftars->nama }}</td>
                </tr>
                <tr>
                    <th scope="col">Email</th>
                    <td>{{ $daftars->email }}</td>
                </tr>
                <tr>
                    <th scope="col">Nomor Telepon</th>
                    <td>{{ $daftars->nomor_hp }}</td>
                </tr>
                <tr>
                    <th scope="col">Tempat, Tgl Lahir</th>
                    <td>{{ $daftars->tempat_lahir }},
                        {{ \Carbon\Carbon::createFromFormat('Y-m-d', $daftars->tanggal_lahir)->format('d-m-Y') }}</td>
                </tr>
                <tr>
                    <th scope="col">Alamat</th>
                    <td>{{ $daftars->alamat }}</td>
                </tr>
                <tr>
                    <th scope="col">Tanggal Vaksin</th>
                    <td>{{ \Carbon\Carbon::createFromFormat('Y-m-d', $daftars->tanggal)->format('d-m-Y') }}</td>
                </tr>
                <tr>
                    <th scope="col">Tempat Vaksin</th>
                    <td>Aula Desa Cilampeni</td>
                </tr>
                <tr>
                    <th scope="col">Dosis Kesatu</th>
                    <td>{{ $sudah }}</td>
                </tr>
            </table>
        </div>
    @endsection

resources/views/daftar/search.blade.php
@extends('daftar.layout.app')

@section('content')
    <div class="container">
        <div class="row mt-5 mb-5">
            <div class="col-lg-12 margin-tb">
                <div class="text-center">
                    <h2>Cari Data Pendaftaran Anda</h2>
                </div>
            </div>
        </div>

        <div class="row text-center">
            <!-- Start kode untuk form pencarian -->
            <form class="form" method="get" action="{{ route('cari_pendaftar') }}">
                {{ csrf_field() }}
                <div class="form-group w-100 mb-3">
                    <label for="search" class="d-block mr-2">Pencarian</label>
                    <input type="text" name="search" class="form-control w-75 d-inline" id="search"
                        placeholder="Masukan Nomor Pendaftaran Anda!">
                    <button type="submit" class="btn btn-primary mb-1">Cari</button>
                </div>
            </form>
        </div>
    @endsection

resources/views/daftar/show.blade.php
@extends('daftar.layout.app')

@section('content')
    <div class="container">
        <div class="row mt-5 mb-5">
            <div class="col-lg-12 margin-tb">
                <div class="text-center">
                    <h2>Data Pendaftaran Anda</h2>
                </div>

                @if ($message = Session::get('success'))
                    <div class="alert alert-success text-center mb-0">
                        <p>{{ $message }}</p>
                    </div>
                @endif
            </div>
        </div>

        <div class="row text-center">
            <div class="col-xs-12 col-sm-12 col-md-12 mb-4">
                <a class="btn btn-secondary" href="{{ route('cetak', $daftar->id) }}">Cetak Kartu
                    Pendaftaran</a>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <h3>Nomor Pendaftaran:</h3>
                    <h4><b>{{ $daftar->kode_unik }}</b></h4>
                    <p>Harap ingat Nomor Pendaftaran Kamu!</p>
                </div>
            </div>
            <table class="table">
                <tr>
                    <th scope="col">Jenis Vaksin</th>
                    <td>{{ $daftar->jenis_vaksin }}</td>
                </tr>
                <tr>
                    <th scope="col">NIK</th>
                    <td>{{ $daftar->nik }}</td>
                </tr>
                <tr>
                    <th scope="col">Nama</th>
                    <td>{{ $daftar->nama }}</td>
                </tr>
                <tr>
                    <th scope="col">Email</th>
                    <td>{{ $daftar->email }}</td>
                </tr>
                <tr>
                    <th scope="col">Nomor Telepon</th>
                    <td>{{ $daftar->nomor_hp }}</td>
                </tr>
                <tr>
                    <th scope="col">Tempat, Tgl Lahir</th>
                    <td>{{ $daftar->tempat_lahir }}, {{ \Carbon\Carbon::createFromFormat('Y-m-d', $daftar->tanggal_lahir)->format('d-m-Y') }}</td>
                </tr>
                <tr>
                    <th scope="col">Alamat</th>
                    <td>{{ $daftar->alamat }}</td>
                </tr>
                <tr>
                    <th scope="col">Tanggal Vaksin</th>
                    <td>{{ \Carbon\Carbon::createFromFormat('Y-m-d', $daftar->tanggal)->format('d-m-Y') }}</td>
                </tr>
                <tr>
                    <th scope="col">Tempat Vaksin</th>
                    <td>Aula Desa Cilampeni</td>
                </tr>
            </table>
        </div>
    @endsection